/***************************************************************************
                          SAMport_umbox.h  -  description
                             -------------------
    begin                : Wed Apr 18 2001
    copyright            : (C) 2001 by Sam "Criswell" Hart
    email                : criswell@geekcomix.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __SAMPORT_UMBOX_H__
#define __SAMPORT_UMBOX_H__

#include "SAMport.h"
#include <string>

class SAMport_umbox: public SAMport
{
  public:
    SAMport_umbox();
    ~SAMport_umbox();

    SAMport_umbox(char *Filename);

    void load(char *Filename);
    void save(char *Filename);

    SAMport_Abstract next();
    SAMport_Abstract prev();
    SAMport_Abstract first();
    SAMport_Abstract last();
    SAMport_Abstract jump(int num);
    void close();
  private:
    std::ifstream fin;
    std::ofstream fout;
    std::string last_from_line;
    char *fname;
    int recnum;
};

#endif // __SAMPORT_UMBOX_H__