/***************************************************************************
                          test.cpp  -  description
                             -------------------
    begin                : Thu Apr 19 2001
    copyright            : (C) 2001 by Sam "Criswell" Hart
    email                : criswell@geekcomix.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "SAMport.h"

int main()
{
  SAMport *mytest = new SAMport_umbox();
  SAMport_Abstract test;
  try {
    mytest->load("/home/sam/Mail/inbox");
  } catch(SAMport_FileAlreadyOpen errguy) {
    std::cerr << "File already open caught\n" << errguy.msg << "\n";
  } catch(SAMport_FileOpenFailed errguy) {
    std::cerr << "File open failed caught\n" << errguy.msg << "\n";
  }

  test = mytest->next();
  std::cout << "\nrecnum : " << test.Num << "\n";
  std::cout << "\nThe subject was : "<< test.Subject << "\n";
  std::cout << "It was from: " << test.From << "\n";
  std::cout << "Full Header was :\n" << test.FullHeader << "\n?\n";
  std::cout << "Full Message was :\n" << test.FullMsg << "\n?\n";

  std::cout << "\n\n Next message is :\n\n";

  test = mytest->next();
  std::cout << "\nrecnum : " << test.Num << "\n";
  std::cout << "\nThe subject was : "<< test.Subject << "\n";
  std::cout << "It was from: " << test.From << "\n";
  std::cout << "Full Header was :\n" << test.FullHeader << "\n?\n";
  std::cout << "Full Message was :\n" << test.FullMsg << "\n?\n";

  std::cout << "\n\n Next message is :\n\n";

  test = mytest->next();
  std::cout << "\nrecnum : " << test.Num << "\n";
  std::cout << "\nThe subject was : "<< test.Subject << "\n";
  std::cout << "It was from: " << test.From << "\n";
  std::cout << "Full Header was :\n" << test.FullHeader << "\n?\n";
  std::cout << "Full Message was :\n" << test.FullMsg << "\n?\n";

  std::cout << "\n\nNow requesting the prev message:\n\n";

  test = mytest->prev();
  std::cout << "\nrecnum : " << test.Num << "\n";
  std::cout << "\nThe subject was : "<< test.Subject << "\n";
  std::cout << "It was from: " << test.From << "\n";
  std::cout << "Full Header was :\n" << test.FullHeader << "\n?\n";
  std::cout << "Full Message was :\n" << test.FullMsg << "\n?\n";

  std::cout << "\n\nNow requesting the first message:\n\n";

  test = mytest->first();
  std::cout << "\nrecnum : " << test.Num << "\n";
  std::cout << "\nThe subject was : "<< test.Subject << "\n";
  std::cout << "It was from: " << test.From << "\n";
  std::cout << "Full Header was :\n" << test.FullHeader << "\n?\n";
  std::cout << "Full Message was :\n" << test.FullMsg << "\n?\n";

  std::cout << "\n\nNow requesting the last message:\n\n";

  test = mytest->last();
  std::cout << "\nrecnum : " << test.Num << "\n";
  std::cout << "\nThe subject was : "<< test.Subject << "\n";
  std::cout << "It was from: " << test.From << "\n";
  std::cout << "Full Header was :\n" << test.FullHeader << "\n?\n";
  std::cout << "Full Message was :\n" << test.FullMsg << "\n?\n";

  std::cout << "\n\nNow requesting the 2nd message:\n\n";

  test = mytest->jump(2);
  std::cout << "\nrecnum : " << test.Num << "\n";
  std::cout << "\nThe subject was : "<< test.Subject << "\n";
  std::cout << "It was from: " << test.From << "\n";
  std::cout << "Full Header was :\n" << test.FullHeader << "\n?\n";
  std::cout << "Full Message was :\n" << test.FullMsg << "\n?\n";

  std::cerr << "no errors?\n";
  return 1;
}